GET /api/v202105/fileStore/fileDataType

Get a list of file data types, their supported extensions, and max size

GetFileDataTypesV202105

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

FileDataTypeResponse
Property Description Type
fileDataTypeCode The code of the file data type string
fileDataTypeId The id of the file data type integer (int32)
fileDataTypeInfo The name of the file data type string
maxSizeInBytes The maximum size, in bytes, supported for this file data type integer (int32)
supportedExtensions A list of supported extensions for this file data type string[]
Example Response application/json
[
  {    "fileDataTypeCode": "string",    "fileDataTypeId": 1,    "fileDataTypeInfo": "string",    "maxSizeInBytes": 1,    "supportedExtensions": [
      "string"
    ]
  }
]